# DataExchange
TKSTEPBase
StepShape

# StepShape_Path Class Reference

`#include <StepShape_Path.hxx>`

Inheritance diagram for StepShape_Path:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_Path ()
| Returns a Path .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
virtual Standard_EXPORT void | SetEdgeList (const Handle(StepShape_HArray1OfOrientedEdge)&aEdgeList)
virtual Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge | EdgeList () const
virtual Standard_EXPORT Handle_StepShape_OrientedEdge | EdgeListValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbEdgeList () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfOrientedEdge | edgeList

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Path::StepShape_Path | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfOrientedEdge StepShape_Path::EdgeList | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedPath.

virtual Standard_EXPORT Handle_StepShape_OrientedEdge StepShape_Path::EdgeListValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedPath.

Standard_EXPORT const StepShape_Path::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem. Reimplemented in StepShape_OrientedPath.

virtual Standard_EXPORT void StepShape_Path::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList
| ) | `[virtual]`

| Reimplemented in StepShape_OrientedPath.

virtual Standard_EXPORT void StepShape_Path::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT Standard_Integer StepShape_Path::NbEdgeList | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedPath.

virtual Standard_EXPORT void StepShape_Path::SetEdgeList | ( | const Handle(StepShape_HArray1OfOrientedEdge)& | aEdgeList | ) | `[virtual]`

| Reimplemented in StepShape_OrientedPath.

## Field Documentation

Handle_StepShape_HArray1OfOrientedEdge StepShape_Path::edgeList `[private]`

The documentation for this class was generated from the following file:

- StepShape_Path.hxx